#include "usart.h"

void USART_Init( unsigned int ubrr)//  USART
{
		UBRR0H = (unsigned char)(ubrr>>8);
		UBRR0L = (unsigned char)ubrr;
		
		UCSR0B=(1<<RXEN0)|( 1<<TXEN0); //     USART
		UCSR0B |= (1<<RXCIE0); //   
		UCSR0A |= (1<<U2X0); //  8 
		UCSR0C = (1<<UCSZ01)|(1<<UCSZ00);//  (UMSEL0=0),    (UPM01=0  UPM00=0),
		//1 - (USBS0=0), 8-  (UCSZ01=1  UCSZ00=1)
}

void USART_Transmit( unsigned char data ) //  
{
	while ( !(UCSR0A & (1<<UDRE0)) ); //   
	UDR0 = data; //  
}

void USART_TX(uint8_t *str1, uint8_t cnt)
{
	uint8_t i;
	for(i=0;i<cnt;i++)
		USART_Transmit(str1[i]);
}
